package ai.nextbillion.octant.db;

import android.content.Context;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

@Database(entities = {TrackingData.class}, version = 1, exportSchema = false)
public abstract class OctantDatabase extends RoomDatabase {
    private static volatile OctantDatabase INSTANCE;

    public abstract TrackingDataDao trackingDataDao();

    public static OctantDatabase getInstance(Context context) {
        if (INSTANCE == null) {
            synchronized (OctantDatabase.class) {
                if (INSTANCE == null) {
                    INSTANCE = Room.databaseBuilder(context.getApplicationContext(), OctantDatabase.class, "Octant-tracking.db").build();
                }
            }
        }

        return INSTANCE;
    }
}
