class Coordinate {
  String? ts;

  double? lat;

  double? lng;

  Coordinate();

  @override
  String toString() {
    return 'Coordinate[ts=$ts, lat=$lat, lng=$lng, ]';
  }

  ///Get an instance of Coordinate from json/Map
  Coordinate.fromJson(Map<String, dynamic>? json) {
    if (json == null) return;
    ts = json['ts'];
    lat = json['lat'];
    lng = json['lng'];
  }

  ///convert into Map
  Map<String, dynamic> toJson() {
    return {'ts': ts, 'lat': lat, 'lng': lng};
  }

  ///Get a list of Coordinate from a list of json
  static List<Coordinate> listFromJson(List<dynamic>? json) {
    return json == null
        ? <Coordinate>[]
        : json.map((value) => Coordinate.fromJson(value)).toList();
  }

  ///turn nested Maps into Coordinate
  static Map<String, Coordinate> mapFromJson(
      Map<String, Map<String, dynamic>>? json) {
    var map = <String, Coordinate>{};
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, Map<String, dynamic> value) =>
          map[key] = Coordinate.fromJson(value));
    }
    return map;
  }
}
