import 'package:octant/models/user_coords.dart';

class UserCoordinateResponse {
  List<UserCoords> userCoords = [];

  UserCoordinateResponse();

  @override
  String toString() {
    return 'UserCoordinateResponse[userCoords=$userCoords, ]';
  }

  ///Get and instance of UserCoordinateResponse from Json
  UserCoordinateResponse.fromJson(Map<String, dynamic>? json) {
    if (json == null) return;
    userCoords = UserCoords.listFromJson(json['userCoords']);
  }

  ///Revert an instance of UserCoordinateResponse to a Json
  Map<String, dynamic> toJson() {
    return {'userCoords': userCoords};
  }

  ///Get a list of UserCoordinateResponse from a list of json
  static List<UserCoordinateResponse> listFromJson(List<dynamic>? json) {
    return json == null
        ? <UserCoordinateResponse>[]
        : json.map((value) => UserCoordinateResponse.fromJson(value)).toList();
  }

  ///turn nested Maps into UserCoordinateResponse
  static Map<String, UserCoordinateResponse> mapFromJson(
      Map<String, Map<String, dynamic>>? json) {
    var map = <String, UserCoordinateResponse>{};
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, Map<String, dynamic> value) =>
          map[key] = UserCoordinateResponse.fromJson(value));
    }
    return map;
  }
}
