import 'package:octant/models/user_coords.dart';

class UserRank {
  UserCoords? coords;

  String? distance;

  String? rank;

  String? lastActivate;

  UserRank();

  @override
  String toString() {
    return 'QueryAggregationResponse[coords=$coords, distance=$distance, rank=$rank, lastActivate=$lastActivate, ]';
  }

  ///Get and instance of UserRank from Json
  UserRank.fromJson(Map<String, dynamic>? json) {
    if (json == null) return;
    coords = UserCoords.fromJson(json['Coords']);
    distance = json['distance'];
    rank = json['rank'];
    lastActivate = json['lastActivate'];
  }

  ///Revert an instance of UserRank to a Json
  Map<String, dynamic> toJson() {
    return {
      'Coords': coords,
      'distance': distance,
      'rank': rank,
      'lastActivate': lastActivate
    };
  }

  ///Get a list of UserRank from a list of json
  static List<UserRank> listFromJson(List<dynamic>? json) {
    return json == null
        ? <UserRank>[]
        : json.map((value) => UserRank.fromJson(value)).toList();
  }

  ///turn nested Maps into UserRank
  static Map<String, UserRank> mapFromJson(
      Map<String, Map<String, dynamic>>? json) {
    var map = <String, UserRank>{};
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, Map<String, dynamic> value) =>
          map[key] = UserRank.fromJson(value));
    }
    return map;
  }
}
